from mutwo import music_parameters

# ###################################################################### #
#                            sabat constants                             #
# ###################################################################### #


def j(r):
    return music_parameters.JustIntonationPitch(r).exponent_tuple


TUNEABLE_INTERVAL_TO_DIFFICULTY_DICT = {
    j("1/1"): 0,
    j("8/7"): 1,
    j("7/6"): 0,
    j("6/5"): 0,
    j("11/9"): 2,
    j("5/4"): 0,
    j("9/7"): 0,
    j("13/10"): 1,
    j("4/3"): 0,
    j("11/8"): 2,
    j("7/5"): 0,
    j("10/7"): 1,
    j("13/9"): 2,
    j("16/11"): 2,
    j("3/2"): 0,
    j("14/9"): 2,
    j("11/7"): 1,
    j("8/5"): 0,
    j("13/8"): 1,
    j("5/3"): 0,
    j("12/7"): 1,
    j("7/4"): 0,
    j("9/5"): 0,
    j("11/6"): 1,
    j("13/7"): 1,
    j("15/8"): 2,
    j("23/12"): 2,
    j("2/1"): 0,
    j("13/6"): 1,
    j("11/5"): 1,
    j("9/4"): 0,
    j("7/3"): 0,
    j("19/8"): 2,
    j("12/5"): 0,
    j("17/7"): 1,
    j("5/2"): 0,
    j("18/7"): 1,
    j("13/5"): 1,
    j("8/3"): 0,
    j("11/4"): 0,
    j("14/5"): 0,
    j("17/6"): 1,
    j("20/7"): 1,
    j("23/8"): 1,
    j("3/1"): 0,
    j("28/9"): 2,
    j("25/8"): 2,
    j("22/7"): 2,
    j("19/6"): 2,
    j("16/5"): 0,
    j("13/4"): 0,
    j("10/3"): 0,
    j("27/8"): 2,
    j("17/5"): 1,
    j("24/7"): 2,
    j("7/2"): 0,
    j("18/5"): 0,
    j("11/3"): 0,
    j("15/4"): 0,
    j("19/5"): 1,
    j("23/6"): 2,
    j("27/7"): 2,
    j("4/1"): 0,
    j("25/6"): 2,
    j("21/5"): 2,
    j("17/4"): 1,
    j("13/3"): 0,
    j("22/5"): 2,
    j("9/2"): 0,
    j("23/5"): 1,
    j("14/3"): 0,
    j("19/4"): 1,
    j("24/5"): 1,
    j("5/1"): 0,
    j("26/5"): 2,
    j("21/4"): 1,
    j("16/3"): 0,
    j("11/2"): 0,
    j("28/5"): 1,
    j("17/3"): 0,
    j("23/4"): 1,
    j("6/1"): 0,
    j("25/4"): 1,
    j("19/3"): 0,
    j("13/2"): 0,
    j("20/3"): 0,
    j("27/4"): 2,
    j("7/1"): 0,
    j("22/3"): 0,
    j("15/2"): 0,
    j("23/3"): 0,
    j("8/1"): 0,
}
"""Tuneable Just Intonation Intervals sorted by difficulty, according to Marc Sabat."""

TUNEABLE_INTERVAL_TUPLE = tuple(
    music_parameters.JustIntonationPitch(exponent_tuple)
    for exponent_tuple in TUNEABLE_INTERVAL_TO_DIFFICULTY_DICT.keys()
)
"""Tuneable Just Intonation Intervals according to Marc Sabat."""

del music_parameters, j
